IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/96
Addresses4,294,967,296
/64 networksPart of one
- Network
2c19:dd:d9:dd:c25:c418::/96- First address
2c19:dd:d9:dd:c25:c418::- Last address
2c19:dd:d9:dd:c25:c418:ffff:ffff- Addresses
- 4,294,967,296
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
2c19:00dd:00d9:00dd:0c25:c418:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
8.1.4.c.5.2.c.0.d.d.0.0.9.d.0.0.d.d.0.0.9.1.c.2.ip6.arpa
Split into smaller subnets
2c19:dd:d9:dd:c25:c418::/96 makes 65,536 subnets of /112; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2c19:dd:d9:dd:c25:c418::/112 | 2c19:dd:d9:dd:c25:c418:0:ffff |
| 2 | 2c19:dd:d9:dd:c25:c418:1:0/112 | 2c19:dd:d9:dd:c25:c418:1:ffff |
| 3 | 2c19:dd:d9:dd:c25:c418:2:0/112 | 2c19:dd:d9:dd:c25:c418:2:ffff |
| 4 | 2c19:dd:d9:dd:c25:c418:3:0/112 | 2c19:dd:d9:dd:c25:c418:3:ffff |
| 5 | 2c19:dd:d9:dd:c25:c418:4:0/112 | 2c19:dd:d9:dd:c25:c418:4:ffff |
| 6 | 2c19:dd:d9:dd:c25:c418:5:0/112 | 2c19:dd:d9:dd:c25:c418:5:ffff |
| 7 | 2c19:dd:d9:dd:c25:c418:6:0/112 | 2c19:dd:d9:dd:c25:c418:6:ffff |
| 8 | 2c19:dd:d9:dd:c25:c418:7:0/112 | 2c19:dd:d9:dd:c25:c418:7:ffff |
| 9 | 2c19:dd:d9:dd:c25:c418:8:0/112 | 2c19:dd:d9:dd:c25:c418:8:ffff |
| 10 | 2c19:dd:d9:dd:c25:c418:9:0/112 | 2c19:dd:d9:dd:c25:c418:9:ffff |
| 11 | 2c19:dd:d9:dd:c25:c418:a:0/112 | 2c19:dd:d9:dd:c25:c418:a:ffff |
| 12 | 2c19:dd:d9:dd:c25:c418:b:0/112 | 2c19:dd:d9:dd:c25:c418:b:ffff |
| 13 | 2c19:dd:d9:dd:c25:c418:c:0/112 | 2c19:dd:d9:dd:c25:c418:c:ffff |
| 14 | 2c19:dd:d9:dd:c25:c418:d:0/112 | 2c19:dd:d9:dd:c25:c418:d:ffff |
| 15 | 2c19:dd:d9:dd:c25:c418:e:0/112 | 2c19:dd:d9:dd:c25:c418:e:ffff |
| 16 | 2c19:dd:d9:dd:c25:c418:f:0/112 | 2c19:dd:d9:dd:c25:c418:f:ffff |
| 17 | 2c19:dd:d9:dd:c25:c418:10:0/112 | 2c19:dd:d9:dd:c25:c418:10:ffff |
| 18 | 2c19:dd:d9:dd:c25:c418:11:0/112 | 2c19:dd:d9:dd:c25:c418:11:ffff |
| 19 | 2c19:dd:d9:dd:c25:c418:12:0/112 | 2c19:dd:d9:dd:c25:c418:12:ffff |
| 20 | 2c19:dd:d9:dd:c25:c418:13:0/112 | 2c19:dd:d9:dd:c25:c418:13:ffff |
| 21 | 2c19:dd:d9:dd:c25:c418:14:0/112 | 2c19:dd:d9:dd:c25:c418:14:ffff |
| 22 | 2c19:dd:d9:dd:c25:c418:15:0/112 | 2c19:dd:d9:dd:c25:c418:15:ffff |
| 23 | 2c19:dd:d9:dd:c25:c418:16:0/112 | 2c19:dd:d9:dd:c25:c418:16:ffff |
| 24 | 2c19:dd:d9:dd:c25:c418:17:0/112 | 2c19:dd:d9:dd:c25:c418:17:ffff |
| 25 | 2c19:dd:d9:dd:c25:c418:18:0/112 | 2c19:dd:d9:dd:c25:c418:18:ffff |
| 26 | 2c19:dd:d9:dd:c25:c418:19:0/112 | 2c19:dd:d9:dd:c25:c418:19:ffff |
| 27 | 2c19:dd:d9:dd:c25:c418:1a:0/112 | 2c19:dd:d9:dd:c25:c418:1a:ffff |
| 28 | 2c19:dd:d9:dd:c25:c418:1b:0/112 | 2c19:dd:d9:dd:c25:c418:1b:ffff |
| 29 | 2c19:dd:d9:dd:c25:c418:1c:0/112 | 2c19:dd:d9:dd:c25:c418:1c:ffff |
| 30 | 2c19:dd:d9:dd:c25:c418:1d:0/112 | 2c19:dd:d9:dd:c25:c418:1d:ffff |
| 31 | 2c19:dd:d9:dd:c25:c418:1e:0/112 | 2c19:dd:d9:dd:c25:c418:1e:ffff |
| 32 | 2c19:dd:d9:dd:c25:c418:1f:0/112 | 2c19:dd:d9:dd:c25:c418:1f:ffff |
| 33 | 2c19:dd:d9:dd:c25:c418:20:0/112 | 2c19:dd:d9:dd:c25:c418:20:ffff |
| 34 | 2c19:dd:d9:dd:c25:c418:21:0/112 | 2c19:dd:d9:dd:c25:c418:21:ffff |
| 35 | 2c19:dd:d9:dd:c25:c418:22:0/112 | 2c19:dd:d9:dd:c25:c418:22:ffff |
| 36 | 2c19:dd:d9:dd:c25:c418:23:0/112 | 2c19:dd:d9:dd:c25:c418:23:ffff |
| 37 | 2c19:dd:d9:dd:c25:c418:24:0/112 | 2c19:dd:d9:dd:c25:c418:24:ffff |
| 38 | 2c19:dd:d9:dd:c25:c418:25:0/112 | 2c19:dd:d9:dd:c25:c418:25:ffff |
| 39 | 2c19:dd:d9:dd:c25:c418:26:0/112 | 2c19:dd:d9:dd:c25:c418:26:ffff |
| 40 | 2c19:dd:d9:dd:c25:c418:27:0/112 | 2c19:dd:d9:dd:c25:c418:27:ffff |
| 41 | 2c19:dd:d9:dd:c25:c418:28:0/112 | 2c19:dd:d9:dd:c25:c418:28:ffff |
| 42 | 2c19:dd:d9:dd:c25:c418:29:0/112 | 2c19:dd:d9:dd:c25:c418:29:ffff |
| 43 | 2c19:dd:d9:dd:c25:c418:2a:0/112 | 2c19:dd:d9:dd:c25:c418:2a:ffff |
| 44 | 2c19:dd:d9:dd:c25:c418:2b:0/112 | 2c19:dd:d9:dd:c25:c418:2b:ffff |
| 45 | 2c19:dd:d9:dd:c25:c418:2c:0/112 | 2c19:dd:d9:dd:c25:c418:2c:ffff |
| 46 | 2c19:dd:d9:dd:c25:c418:2d:0/112 | 2c19:dd:d9:dd:c25:c418:2d:ffff |
| 47 | 2c19:dd:d9:dd:c25:c418:2e:0/112 | 2c19:dd:d9:dd:c25:c418:2e:ffff |
| 48 | 2c19:dd:d9:dd:c25:c418:2f:0/112 | 2c19:dd:d9:dd:c25:c418:2f:ffff |
| 49 | 2c19:dd:d9:dd:c25:c418:30:0/112 | 2c19:dd:d9:dd:c25:c418:30:ffff |
| 50 | 2c19:dd:d9:dd:c25:c418:31:0/112 | 2c19:dd:d9:dd:c25:c418:31:ffff |
| 51 | 2c19:dd:d9:dd:c25:c418:32:0/112 | 2c19:dd:d9:dd:c25:c418:32:ffff |
| 52 | 2c19:dd:d9:dd:c25:c418:33:0/112 | 2c19:dd:d9:dd:c25:c418:33:ffff |
| 53 | 2c19:dd:d9:dd:c25:c418:34:0/112 | 2c19:dd:d9:dd:c25:c418:34:ffff |
| 54 | 2c19:dd:d9:dd:c25:c418:35:0/112 | 2c19:dd:d9:dd:c25:c418:35:ffff |
| 55 | 2c19:dd:d9:dd:c25:c418:36:0/112 | 2c19:dd:d9:dd:c25:c418:36:ffff |
| 56 | 2c19:dd:d9:dd:c25:c418:37:0/112 | 2c19:dd:d9:dd:c25:c418:37:ffff |
| 57 | 2c19:dd:d9:dd:c25:c418:38:0/112 | 2c19:dd:d9:dd:c25:c418:38:ffff |
| 58 | 2c19:dd:d9:dd:c25:c418:39:0/112 | 2c19:dd:d9:dd:c25:c418:39:ffff |
| 59 | 2c19:dd:d9:dd:c25:c418:3a:0/112 | 2c19:dd:d9:dd:c25:c418:3a:ffff |
| 60 | 2c19:dd:d9:dd:c25:c418:3b:0/112 | 2c19:dd:d9:dd:c25:c418:3b:ffff |
| 61 | 2c19:dd:d9:dd:c25:c418:3c:0/112 | 2c19:dd:d9:dd:c25:c418:3c:ffff |
| 62 | 2c19:dd:d9:dd:c25:c418:3d:0/112 | 2c19:dd:d9:dd:c25:c418:3d:ffff |
| 63 | 2c19:dd:d9:dd:c25:c418:3e:0/112 | 2c19:dd:d9:dd:c25:c418:3e:ffff |
| 64 | 2c19:dd:d9:dd:c25:c418:3f:0/112 | 2c19:dd:d9:dd:c25:c418:3f:ffff |
| 65 | 2c19:dd:d9:dd:c25:c418:40:0/112 | 2c19:dd:d9:dd:c25:c418:40:ffff |
| 66 | 2c19:dd:d9:dd:c25:c418:41:0/112 | 2c19:dd:d9:dd:c25:c418:41:ffff |
| 67 | 2c19:dd:d9:dd:c25:c418:42:0/112 | 2c19:dd:d9:dd:c25:c418:42:ffff |
| 68 | 2c19:dd:d9:dd:c25:c418:43:0/112 | 2c19:dd:d9:dd:c25:c418:43:ffff |
| 69 | 2c19:dd:d9:dd:c25:c418:44:0/112 | 2c19:dd:d9:dd:c25:c418:44:ffff |
| 70 | 2c19:dd:d9:dd:c25:c418:45:0/112 | 2c19:dd:d9:dd:c25:c418:45:ffff |
| 71 | 2c19:dd:d9:dd:c25:c418:46:0/112 | 2c19:dd:d9:dd:c25:c418:46:ffff |
| 72 | 2c19:dd:d9:dd:c25:c418:47:0/112 | 2c19:dd:d9:dd:c25:c418:47:ffff |
| 73 | 2c19:dd:d9:dd:c25:c418:48:0/112 | 2c19:dd:d9:dd:c25:c418:48:ffff |
| 74 | 2c19:dd:d9:dd:c25:c418:49:0/112 | 2c19:dd:d9:dd:c25:c418:49:ffff |
| 75 | 2c19:dd:d9:dd:c25:c418:4a:0/112 | 2c19:dd:d9:dd:c25:c418:4a:ffff |
| 76 | 2c19:dd:d9:dd:c25:c418:4b:0/112 | 2c19:dd:d9:dd:c25:c418:4b:ffff |
| 77 | 2c19:dd:d9:dd:c25:c418:4c:0/112 | 2c19:dd:d9:dd:c25:c418:4c:ffff |
| 78 | 2c19:dd:d9:dd:c25:c418:4d:0/112 | 2c19:dd:d9:dd:c25:c418:4d:ffff |
| 79 | 2c19:dd:d9:dd:c25:c418:4e:0/112 | 2c19:dd:d9:dd:c25:c418:4e:ffff |
| 80 | 2c19:dd:d9:dd:c25:c418:4f:0/112 | 2c19:dd:d9:dd:c25:c418:4f:ffff |
| 81 | 2c19:dd:d9:dd:c25:c418:50:0/112 | 2c19:dd:d9:dd:c25:c418:50:ffff |
| 82 | 2c19:dd:d9:dd:c25:c418:51:0/112 | 2c19:dd:d9:dd:c25:c418:51:ffff |
| 83 | 2c19:dd:d9:dd:c25:c418:52:0/112 | 2c19:dd:d9:dd:c25:c418:52:ffff |
| 84 | 2c19:dd:d9:dd:c25:c418:53:0/112 | 2c19:dd:d9:dd:c25:c418:53:ffff |
| 85 | 2c19:dd:d9:dd:c25:c418:54:0/112 | 2c19:dd:d9:dd:c25:c418:54:ffff |
| 86 | 2c19:dd:d9:dd:c25:c418:55:0/112 | 2c19:dd:d9:dd:c25:c418:55:ffff |
| 87 | 2c19:dd:d9:dd:c25:c418:56:0/112 | 2c19:dd:d9:dd:c25:c418:56:ffff |
| 88 | 2c19:dd:d9:dd:c25:c418:57:0/112 | 2c19:dd:d9:dd:c25:c418:57:ffff |
| 89 | 2c19:dd:d9:dd:c25:c418:58:0/112 | 2c19:dd:d9:dd:c25:c418:58:ffff |
| 90 | 2c19:dd:d9:dd:c25:c418:59:0/112 | 2c19:dd:d9:dd:c25:c418:59:ffff |
| 91 | 2c19:dd:d9:dd:c25:c418:5a:0/112 | 2c19:dd:d9:dd:c25:c418:5a:ffff |
| 92 | 2c19:dd:d9:dd:c25:c418:5b:0/112 | 2c19:dd:d9:dd:c25:c418:5b:ffff |
| 93 | 2c19:dd:d9:dd:c25:c418:5c:0/112 | 2c19:dd:d9:dd:c25:c418:5c:ffff |
| 94 | 2c19:dd:d9:dd:c25:c418:5d:0/112 | 2c19:dd:d9:dd:c25:c418:5d:ffff |
| 95 | 2c19:dd:d9:dd:c25:c418:5e:0/112 | 2c19:dd:d9:dd:c25:c418:5e:ffff |
| 96 | 2c19:dd:d9:dd:c25:c418:5f:0/112 | 2c19:dd:d9:dd:c25:c418:5f:ffff |
| 97 | 2c19:dd:d9:dd:c25:c418:60:0/112 | 2c19:dd:d9:dd:c25:c418:60:ffff |
| 98 | 2c19:dd:d9:dd:c25:c418:61:0/112 | 2c19:dd:d9:dd:c25:c418:61:ffff |
| 99 | 2c19:dd:d9:dd:c25:c418:62:0/112 | 2c19:dd:d9:dd:c25:c418:62:ffff |
| 100 | 2c19:dd:d9:dd:c25:c418:63:0/112 | 2c19:dd:d9:dd:c25:c418:63:ffff |
| 101 | 2c19:dd:d9:dd:c25:c418:64:0/112 | 2c19:dd:d9:dd:c25:c418:64:ffff |
| 102 | 2c19:dd:d9:dd:c25:c418:65:0/112 | 2c19:dd:d9:dd:c25:c418:65:ffff |
| 103 | 2c19:dd:d9:dd:c25:c418:66:0/112 | 2c19:dd:d9:dd:c25:c418:66:ffff |
| 104 | 2c19:dd:d9:dd:c25:c418:67:0/112 | 2c19:dd:d9:dd:c25:c418:67:ffff |
| 105 | 2c19:dd:d9:dd:c25:c418:68:0/112 | 2c19:dd:d9:dd:c25:c418:68:ffff |
| 106 | 2c19:dd:d9:dd:c25:c418:69:0/112 | 2c19:dd:d9:dd:c25:c418:69:ffff |
| 107 | 2c19:dd:d9:dd:c25:c418:6a:0/112 | 2c19:dd:d9:dd:c25:c418:6a:ffff |
| 108 | 2c19:dd:d9:dd:c25:c418:6b:0/112 | 2c19:dd:d9:dd:c25:c418:6b:ffff |
| 109 | 2c19:dd:d9:dd:c25:c418:6c:0/112 | 2c19:dd:d9:dd:c25:c418:6c:ffff |
| 110 | 2c19:dd:d9:dd:c25:c418:6d:0/112 | 2c19:dd:d9:dd:c25:c418:6d:ffff |
| 111 | 2c19:dd:d9:dd:c25:c418:6e:0/112 | 2c19:dd:d9:dd:c25:c418:6e:ffff |
| 112 | 2c19:dd:d9:dd:c25:c418:6f:0/112 | 2c19:dd:d9:dd:c25:c418:6f:ffff |
| 113 | 2c19:dd:d9:dd:c25:c418:70:0/112 | 2c19:dd:d9:dd:c25:c418:70:ffff |
| 114 | 2c19:dd:d9:dd:c25:c418:71:0/112 | 2c19:dd:d9:dd:c25:c418:71:ffff |
| 115 | 2c19:dd:d9:dd:c25:c418:72:0/112 | 2c19:dd:d9:dd:c25:c418:72:ffff |
| 116 | 2c19:dd:d9:dd:c25:c418:73:0/112 | 2c19:dd:d9:dd:c25:c418:73:ffff |
| 117 | 2c19:dd:d9:dd:c25:c418:74:0/112 | 2c19:dd:d9:dd:c25:c418:74:ffff |
| 118 | 2c19:dd:d9:dd:c25:c418:75:0/112 | 2c19:dd:d9:dd:c25:c418:75:ffff |
| 119 | 2c19:dd:d9:dd:c25:c418:76:0/112 | 2c19:dd:d9:dd:c25:c418:76:ffff |
| 120 | 2c19:dd:d9:dd:c25:c418:77:0/112 | 2c19:dd:d9:dd:c25:c418:77:ffff |
| 121 | 2c19:dd:d9:dd:c25:c418:78:0/112 | 2c19:dd:d9:dd:c25:c418:78:ffff |
| 122 | 2c19:dd:d9:dd:c25:c418:79:0/112 | 2c19:dd:d9:dd:c25:c418:79:ffff |
| 123 | 2c19:dd:d9:dd:c25:c418:7a:0/112 | 2c19:dd:d9:dd:c25:c418:7a:ffff |
| 124 | 2c19:dd:d9:dd:c25:c418:7b:0/112 | 2c19:dd:d9:dd:c25:c418:7b:ffff |
| 125 | 2c19:dd:d9:dd:c25:c418:7c:0/112 | 2c19:dd:d9:dd:c25:c418:7c:ffff |
| 126 | 2c19:dd:d9:dd:c25:c418:7d:0/112 | 2c19:dd:d9:dd:c25:c418:7d:ffff |
| 127 | 2c19:dd:d9:dd:c25:c418:7e:0/112 | 2c19:dd:d9:dd:c25:c418:7e:ffff |
| 128 | 2c19:dd:d9:dd:c25:c418:7f:0/112 | 2c19:dd:d9:dd:c25:c418:7f:ffff |
| 129 | 2c19:dd:d9:dd:c25:c418:80:0/112 | 2c19:dd:d9:dd:c25:c418:80:ffff |
| 130 | 2c19:dd:d9:dd:c25:c418:81:0/112 | 2c19:dd:d9:dd:c25:c418:81:ffff |
| 131 | 2c19:dd:d9:dd:c25:c418:82:0/112 | 2c19:dd:d9:dd:c25:c418:82:ffff |
| 132 | 2c19:dd:d9:dd:c25:c418:83:0/112 | 2c19:dd:d9:dd:c25:c418:83:ffff |
| 133 | 2c19:dd:d9:dd:c25:c418:84:0/112 | 2c19:dd:d9:dd:c25:c418:84:ffff |
| 134 | 2c19:dd:d9:dd:c25:c418:85:0/112 | 2c19:dd:d9:dd:c25:c418:85:ffff |
| 135 | 2c19:dd:d9:dd:c25:c418:86:0/112 | 2c19:dd:d9:dd:c25:c418:86:ffff |
| 136 | 2c19:dd:d9:dd:c25:c418:87:0/112 | 2c19:dd:d9:dd:c25:c418:87:ffff |
| 137 | 2c19:dd:d9:dd:c25:c418:88:0/112 | 2c19:dd:d9:dd:c25:c418:88:ffff |
| 138 | 2c19:dd:d9:dd:c25:c418:89:0/112 | 2c19:dd:d9:dd:c25:c418:89:ffff |
| 139 | 2c19:dd:d9:dd:c25:c418:8a:0/112 | 2c19:dd:d9:dd:c25:c418:8a:ffff |
| 140 | 2c19:dd:d9:dd:c25:c418:8b:0/112 | 2c19:dd:d9:dd:c25:c418:8b:ffff |
| 141 | 2c19:dd:d9:dd:c25:c418:8c:0/112 | 2c19:dd:d9:dd:c25:c418:8c:ffff |
| 142 | 2c19:dd:d9:dd:c25:c418:8d:0/112 | 2c19:dd:d9:dd:c25:c418:8d:ffff |
| 143 | 2c19:dd:d9:dd:c25:c418:8e:0/112 | 2c19:dd:d9:dd:c25:c418:8e:ffff |
| 144 | 2c19:dd:d9:dd:c25:c418:8f:0/112 | 2c19:dd:d9:dd:c25:c418:8f:ffff |
| 145 | 2c19:dd:d9:dd:c25:c418:90:0/112 | 2c19:dd:d9:dd:c25:c418:90:ffff |
| 146 | 2c19:dd:d9:dd:c25:c418:91:0/112 | 2c19:dd:d9:dd:c25:c418:91:ffff |
| 147 | 2c19:dd:d9:dd:c25:c418:92:0/112 | 2c19:dd:d9:dd:c25:c418:92:ffff |
| 148 | 2c19:dd:d9:dd:c25:c418:93:0/112 | 2c19:dd:d9:dd:c25:c418:93:ffff |
| 149 | 2c19:dd:d9:dd:c25:c418:94:0/112 | 2c19:dd:d9:dd:c25:c418:94:ffff |
| 150 | 2c19:dd:d9:dd:c25:c418:95:0/112 | 2c19:dd:d9:dd:c25:c418:95:ffff |
| 151 | 2c19:dd:d9:dd:c25:c418:96:0/112 | 2c19:dd:d9:dd:c25:c418:96:ffff |
| 152 | 2c19:dd:d9:dd:c25:c418:97:0/112 | 2c19:dd:d9:dd:c25:c418:97:ffff |
| 153 | 2c19:dd:d9:dd:c25:c418:98:0/112 | 2c19:dd:d9:dd:c25:c418:98:ffff |
| 154 | 2c19:dd:d9:dd:c25:c418:99:0/112 | 2c19:dd:d9:dd:c25:c418:99:ffff |
| 155 | 2c19:dd:d9:dd:c25:c418:9a:0/112 | 2c19:dd:d9:dd:c25:c418:9a:ffff |
| 156 | 2c19:dd:d9:dd:c25:c418:9b:0/112 | 2c19:dd:d9:dd:c25:c418:9b:ffff |
| 157 | 2c19:dd:d9:dd:c25:c418:9c:0/112 | 2c19:dd:d9:dd:c25:c418:9c:ffff |
| 158 | 2c19:dd:d9:dd:c25:c418:9d:0/112 | 2c19:dd:d9:dd:c25:c418:9d:ffff |
| 159 | 2c19:dd:d9:dd:c25:c418:9e:0/112 | 2c19:dd:d9:dd:c25:c418:9e:ffff |
| 160 | 2c19:dd:d9:dd:c25:c418:9f:0/112 | 2c19:dd:d9:dd:c25:c418:9f:ffff |
| 161 | 2c19:dd:d9:dd:c25:c418:a0:0/112 | 2c19:dd:d9:dd:c25:c418:a0:ffff |
| 162 | 2c19:dd:d9:dd:c25:c418:a1:0/112 | 2c19:dd:d9:dd:c25:c418:a1:ffff |
| 163 | 2c19:dd:d9:dd:c25:c418:a2:0/112 | 2c19:dd:d9:dd:c25:c418:a2:ffff |
| 164 | 2c19:dd:d9:dd:c25:c418:a3:0/112 | 2c19:dd:d9:dd:c25:c418:a3:ffff |
| 165 | 2c19:dd:d9:dd:c25:c418:a4:0/112 | 2c19:dd:d9:dd:c25:c418:a4:ffff |
| 166 | 2c19:dd:d9:dd:c25:c418:a5:0/112 | 2c19:dd:d9:dd:c25:c418:a5:ffff |
| 167 | 2c19:dd:d9:dd:c25:c418:a6:0/112 | 2c19:dd:d9:dd:c25:c418:a6:ffff |
| 168 | 2c19:dd:d9:dd:c25:c418:a7:0/112 | 2c19:dd:d9:dd:c25:c418:a7:ffff |
| 169 | 2c19:dd:d9:dd:c25:c418:a8:0/112 | 2c19:dd:d9:dd:c25:c418:a8:ffff |
| 170 | 2c19:dd:d9:dd:c25:c418:a9:0/112 | 2c19:dd:d9:dd:c25:c418:a9:ffff |
| 171 | 2c19:dd:d9:dd:c25:c418:aa:0/112 | 2c19:dd:d9:dd:c25:c418:aa:ffff |
| 172 | 2c19:dd:d9:dd:c25:c418:ab:0/112 | 2c19:dd:d9:dd:c25:c418:ab:ffff |
| 173 | 2c19:dd:d9:dd:c25:c418:ac:0/112 | 2c19:dd:d9:dd:c25:c418:ac:ffff |
| 174 | 2c19:dd:d9:dd:c25:c418:ad:0/112 | 2c19:dd:d9:dd:c25:c418:ad:ffff |
| 175 | 2c19:dd:d9:dd:c25:c418:ae:0/112 | 2c19:dd:d9:dd:c25:c418:ae:ffff |
| 176 | 2c19:dd:d9:dd:c25:c418:af:0/112 | 2c19:dd:d9:dd:c25:c418:af:ffff |
| 177 | 2c19:dd:d9:dd:c25:c418:b0:0/112 | 2c19:dd:d9:dd:c25:c418:b0:ffff |
| 178 | 2c19:dd:d9:dd:c25:c418:b1:0/112 | 2c19:dd:d9:dd:c25:c418:b1:ffff |
| 179 | 2c19:dd:d9:dd:c25:c418:b2:0/112 | 2c19:dd:d9:dd:c25:c418:b2:ffff |
| 180 | 2c19:dd:d9:dd:c25:c418:b3:0/112 | 2c19:dd:d9:dd:c25:c418:b3:ffff |
| 181 | 2c19:dd:d9:dd:c25:c418:b4:0/112 | 2c19:dd:d9:dd:c25:c418:b4:ffff |
| 182 | 2c19:dd:d9:dd:c25:c418:b5:0/112 | 2c19:dd:d9:dd:c25:c418:b5:ffff |
| 183 | 2c19:dd:d9:dd:c25:c418:b6:0/112 | 2c19:dd:d9:dd:c25:c418:b6:ffff |
| 184 | 2c19:dd:d9:dd:c25:c418:b7:0/112 | 2c19:dd:d9:dd:c25:c418:b7:ffff |
| 185 | 2c19:dd:d9:dd:c25:c418:b8:0/112 | 2c19:dd:d9:dd:c25:c418:b8:ffff |
| 186 | 2c19:dd:d9:dd:c25:c418:b9:0/112 | 2c19:dd:d9:dd:c25:c418:b9:ffff |
| 187 | 2c19:dd:d9:dd:c25:c418:ba:0/112 | 2c19:dd:d9:dd:c25:c418:ba:ffff |
| 188 | 2c19:dd:d9:dd:c25:c418:bb:0/112 | 2c19:dd:d9:dd:c25:c418:bb:ffff |
| 189 | 2c19:dd:d9:dd:c25:c418:bc:0/112 | 2c19:dd:d9:dd:c25:c418:bc:ffff |
| 190 | 2c19:dd:d9:dd:c25:c418:bd:0/112 | 2c19:dd:d9:dd:c25:c418:bd:ffff |
| 191 | 2c19:dd:d9:dd:c25:c418:be:0/112 | 2c19:dd:d9:dd:c25:c418:be:ffff |
| 192 | 2c19:dd:d9:dd:c25:c418:bf:0/112 | 2c19:dd:d9:dd:c25:c418:bf:ffff |
| 193 | 2c19:dd:d9:dd:c25:c418:c0:0/112 | 2c19:dd:d9:dd:c25:c418:c0:ffff |
| 194 | 2c19:dd:d9:dd:c25:c418:c1:0/112 | 2c19:dd:d9:dd:c25:c418:c1:ffff |
| 195 | 2c19:dd:d9:dd:c25:c418:c2:0/112 | 2c19:dd:d9:dd:c25:c418:c2:ffff |
| 196 | 2c19:dd:d9:dd:c25:c418:c3:0/112 | 2c19:dd:d9:dd:c25:c418:c3:ffff |
| 197 | 2c19:dd:d9:dd:c25:c418:c4:0/112 | 2c19:dd:d9:dd:c25:c418:c4:ffff |
| 198 | 2c19:dd:d9:dd:c25:c418:c5:0/112 | 2c19:dd:d9:dd:c25:c418:c5:ffff |
| 199 | 2c19:dd:d9:dd:c25:c418:c6:0/112 | 2c19:dd:d9:dd:c25:c418:c6:ffff |
| 200 | 2c19:dd:d9:dd:c25:c418:c7:0/112 | 2c19:dd:d9:dd:c25:c418:c7:ffff |
| 201 | 2c19:dd:d9:dd:c25:c418:c8:0/112 | 2c19:dd:d9:dd:c25:c418:c8:ffff |
| 202 | 2c19:dd:d9:dd:c25:c418:c9:0/112 | 2c19:dd:d9:dd:c25:c418:c9:ffff |
| 203 | 2c19:dd:d9:dd:c25:c418:ca:0/112 | 2c19:dd:d9:dd:c25:c418:ca:ffff |
| 204 | 2c19:dd:d9:dd:c25:c418:cb:0/112 | 2c19:dd:d9:dd:c25:c418:cb:ffff |
| 205 | 2c19:dd:d9:dd:c25:c418:cc:0/112 | 2c19:dd:d9:dd:c25:c418:cc:ffff |
| 206 | 2c19:dd:d9:dd:c25:c418:cd:0/112 | 2c19:dd:d9:dd:c25:c418:cd:ffff |
| 207 | 2c19:dd:d9:dd:c25:c418:ce:0/112 | 2c19:dd:d9:dd:c25:c418:ce:ffff |
| 208 | 2c19:dd:d9:dd:c25:c418:cf:0/112 | 2c19:dd:d9:dd:c25:c418:cf:ffff |
| 209 | 2c19:dd:d9:dd:c25:c418:d0:0/112 | 2c19:dd:d9:dd:c25:c418:d0:ffff |
| 210 | 2c19:dd:d9:dd:c25:c418:d1:0/112 | 2c19:dd:d9:dd:c25:c418:d1:ffff |
| 211 | 2c19:dd:d9:dd:c25:c418:d2:0/112 | 2c19:dd:d9:dd:c25:c418:d2:ffff |
| 212 | 2c19:dd:d9:dd:c25:c418:d3:0/112 | 2c19:dd:d9:dd:c25:c418:d3:ffff |
| 213 | 2c19:dd:d9:dd:c25:c418:d4:0/112 | 2c19:dd:d9:dd:c25:c418:d4:ffff |
| 214 | 2c19:dd:d9:dd:c25:c418:d5:0/112 | 2c19:dd:d9:dd:c25:c418:d5:ffff |
| 215 | 2c19:dd:d9:dd:c25:c418:d6:0/112 | 2c19:dd:d9:dd:c25:c418:d6:ffff |
| 216 | 2c19:dd:d9:dd:c25:c418:d7:0/112 | 2c19:dd:d9:dd:c25:c418:d7:ffff |
| 217 | 2c19:dd:d9:dd:c25:c418:d8:0/112 | 2c19:dd:d9:dd:c25:c418:d8:ffff |
| 218 | 2c19:dd:d9:dd:c25:c418:d9:0/112 | 2c19:dd:d9:dd:c25:c418:d9:ffff |
| 219 | 2c19:dd:d9:dd:c25:c418:da:0/112 | 2c19:dd:d9:dd:c25:c418:da:ffff |
| 220 | 2c19:dd:d9:dd:c25:c418:db:0/112 | 2c19:dd:d9:dd:c25:c418:db:ffff |
| 221 | 2c19:dd:d9:dd:c25:c418:dc:0/112 | 2c19:dd:d9:dd:c25:c418:dc:ffff |
| 222 | 2c19:dd:d9:dd:c25:c418:dd:0/112 | 2c19:dd:d9:dd:c25:c418:dd:ffff |
| 223 | 2c19:dd:d9:dd:c25:c418:de:0/112 | 2c19:dd:d9:dd:c25:c418:de:ffff |
| 224 | 2c19:dd:d9:dd:c25:c418:df:0/112 | 2c19:dd:d9:dd:c25:c418:df:ffff |
| 225 | 2c19:dd:d9:dd:c25:c418:e0:0/112 | 2c19:dd:d9:dd:c25:c418:e0:ffff |
| 226 | 2c19:dd:d9:dd:c25:c418:e1:0/112 | 2c19:dd:d9:dd:c25:c418:e1:ffff |
| 227 | 2c19:dd:d9:dd:c25:c418:e2:0/112 | 2c19:dd:d9:dd:c25:c418:e2:ffff |
| 228 | 2c19:dd:d9:dd:c25:c418:e3:0/112 | 2c19:dd:d9:dd:c25:c418:e3:ffff |
| 229 | 2c19:dd:d9:dd:c25:c418:e4:0/112 | 2c19:dd:d9:dd:c25:c418:e4:ffff |
| 230 | 2c19:dd:d9:dd:c25:c418:e5:0/112 | 2c19:dd:d9:dd:c25:c418:e5:ffff |
| 231 | 2c19:dd:d9:dd:c25:c418:e6:0/112 | 2c19:dd:d9:dd:c25:c418:e6:ffff |
| 232 | 2c19:dd:d9:dd:c25:c418:e7:0/112 | 2c19:dd:d9:dd:c25:c418:e7:ffff |
| 233 | 2c19:dd:d9:dd:c25:c418:e8:0/112 | 2c19:dd:d9:dd:c25:c418:e8:ffff |
| 234 | 2c19:dd:d9:dd:c25:c418:e9:0/112 | 2c19:dd:d9:dd:c25:c418:e9:ffff |
| 235 | 2c19:dd:d9:dd:c25:c418:ea:0/112 | 2c19:dd:d9:dd:c25:c418:ea:ffff |
| 236 | 2c19:dd:d9:dd:c25:c418:eb:0/112 | 2c19:dd:d9:dd:c25:c418:eb:ffff |
| 237 | 2c19:dd:d9:dd:c25:c418:ec:0/112 | 2c19:dd:d9:dd:c25:c418:ec:ffff |
| 238 | 2c19:dd:d9:dd:c25:c418:ed:0/112 | 2c19:dd:d9:dd:c25:c418:ed:ffff |
| 239 | 2c19:dd:d9:dd:c25:c418:ee:0/112 | 2c19:dd:d9:dd:c25:c418:ee:ffff |
| 240 | 2c19:dd:d9:dd:c25:c418:ef:0/112 | 2c19:dd:d9:dd:c25:c418:ef:ffff |
| 241 | 2c19:dd:d9:dd:c25:c418:f0:0/112 | 2c19:dd:d9:dd:c25:c418:f0:ffff |
| 242 | 2c19:dd:d9:dd:c25:c418:f1:0/112 | 2c19:dd:d9:dd:c25:c418:f1:ffff |
| 243 | 2c19:dd:d9:dd:c25:c418:f2:0/112 | 2c19:dd:d9:dd:c25:c418:f2:ffff |
| 244 | 2c19:dd:d9:dd:c25:c418:f3:0/112 | 2c19:dd:d9:dd:c25:c418:f3:ffff |
| 245 | 2c19:dd:d9:dd:c25:c418:f4:0/112 | 2c19:dd:d9:dd:c25:c418:f4:ffff |
| 246 | 2c19:dd:d9:dd:c25:c418:f5:0/112 | 2c19:dd:d9:dd:c25:c418:f5:ffff |
| 247 | 2c19:dd:d9:dd:c25:c418:f6:0/112 | 2c19:dd:d9:dd:c25:c418:f6:ffff |
| 248 | 2c19:dd:d9:dd:c25:c418:f7:0/112 | 2c19:dd:d9:dd:c25:c418:f7:ffff |
| 249 | 2c19:dd:d9:dd:c25:c418:f8:0/112 | 2c19:dd:d9:dd:c25:c418:f8:ffff |
| 250 | 2c19:dd:d9:dd:c25:c418:f9:0/112 | 2c19:dd:d9:dd:c25:c418:f9:ffff |
| 251 | 2c19:dd:d9:dd:c25:c418:fa:0/112 | 2c19:dd:d9:dd:c25:c418:fa:ffff |
| 252 | 2c19:dd:d9:dd:c25:c418:fb:0/112 | 2c19:dd:d9:dd:c25:c418:fb:ffff |
| 253 | 2c19:dd:d9:dd:c25:c418:fc:0/112 | 2c19:dd:d9:dd:c25:c418:fc:ffff |
| 254 | 2c19:dd:d9:dd:c25:c418:fd:0/112 | 2c19:dd:d9:dd:c25:c418:fd:ffff |
| 255 | 2c19:dd:d9:dd:c25:c418:fe:0/112 | 2c19:dd:d9:dd:c25:c418:fe:ffff |
| 256 | 2c19:dd:d9:dd:c25:c418:ff:0/112 | 2c19:dd:d9:dd:c25:c418:ff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |